From Gramps
Jump to: navigation, search
 Gramps 4.0.0 Beta released.

One month after Gramps 4.0.0 alpha5, the Gramps Developers have released:

The first Gramps 4.0.0 beta release. This is a preview, so use for testing!"

It is recommended to use Gramps 4.0.0 with python 3.2 so as to be ready for the future (python 2.7 works though).

The dependencies for Gramps 4.0.0 are completely different than 3.4 due to the switch to GObject introspection, and the removal of autotools. So only install 4.0.0 if you are certain you can obtain the dependencies, see README and INSTALL.

Major enhancements in Gramps 4.0.0:

More info in the manual

Everybody is invited to update the manual to make it current!

Changes since alpha5:

  • solidify detection for locale and date environment
  • prevent DB corruptions related to environment (python and bsddb versions)
  • some fixes on bytes, python3, encoding issues
  • some fixes on CLI, draw and textual reports
  • bug fixes on interface, editors, widgets, tree models, handles manager
  • bug fixes on tools, exporter, name, quick views
  • fixes on proxies (references, filters)
  • fix on narrativeweb report
  • fix on book report
  • fix on grampletbar and citations gramplet
  • callback support for TAG class
  • improvement on version (versioning)
  • Gedcom: improvements on ADDR tag and Repositories support
  • better logging
  • better support for pro-gen file format
  • some updated translations